------------------
--   Capacitor   --
------------------

library ieee;
use ieee.math_real.all,ieee.std_logic_1164.all;
use work.biological_systems.all;
use work.all;


entity DsRed_capacitor is
	generic (c : real:=1.0);
	port (terminal a, b : DsRed); 
end DsRed_capacitor;



architecture conservative of DsRed_capacitor is

quantity Ccap across Fcap through a to b;

begin
	Fcap == c * Ccap'dot;
end conservative;

