------------------
--   Resistor   --
------------------

library ieee;
use ieee.math_real.all,ieee.std_logic_1164.all;
use work.biological_systems.all;
use work.all;


entity miR141_resistor is
	generic (r : real);
	port (terminal a, b : miR141); 
end miR141_resistor;



architecture conservative of miR141_resistor is

quantity Cres across Fres through a to b;

begin
	Cres == Fres * r;
end conservative;

