------------------
--   Resistor   --
------------------

library ieee;
use ieee.math_real.all,ieee.std_logic_1164.all;
use work.biological_systems.all;
use work.all;


entity miR142_Act_resistor is
	generic (r : real);
	port (terminal a, b : miR142_Act); 
end miR142_Act_resistor;



architecture conservative of miR142_Act_resistor is

quantity Cres across Fres through a to b;

begin
	Cres == Fres * r;
end conservative;

