------------------
--   Capacitor   --
------------------

library ieee;
use ieee.math_real.all,ieee.std_logic_1164.all;
use work.biological_systems.all;
use work.all;


entity miR142_capacitor is
	generic (c : real:=1.0);
	port (terminal a, b : miR142); 
end miR142_capacitor;



architecture conservative of miR142_capacitor is

quantity Ccap across Fcap through a to b;

begin
	Fcap == c * Ccap'dot;
end conservative;

